DiscoveryRun (CMDB Model API)
Keywords: com.collation.platform.model.discovery.DiscoveryRun interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery
Interface DiscoveryRun

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DiscoveryRun

extends LogicalElement

Represents a discovery run

Naming Rules:
  0="discoverRunId"
Persistable:
  true
Table Name:
  DISCRUN
Display Name:
  discoverRunId

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCause()`
`long` | `getDiscoverRunId()`
`DiscoveryProfile` | `getDiscoveryProfile()`
`java.lang.String` | `getDiscoveryProgressLog()`
`long` | `getEndTime()`
`java.lang.String` | `getInitiator()`
`java.lang.String` | `getRunName()`
`int` | `getRunType()`
`boolean` | `getScheduled()`
`ScopeElement[]` | `getScopeElements()` Scope used for this discovery
`long` | `getStartTime()`
`int` | `getStatus()`
`int` | `getTerminationType()`
`boolean` | `hasCause()`
`boolean` | `hasDiscoverRunId()`
`boolean` | `hasDiscoveryProfile()`
`boolean` | `hasDiscoveryProgressLog()`
`boolean` | `hasEndTime()`
`boolean` | `hasInitiator()`
`boolean` | `hasRunName()`
`boolean` | `hasRunType()`
`boolean` | `hasScheduled()`
`boolean` | `hasScopeElements()`
`boolean` | `hasStartTime()`
`boolean` | `hasStatus()`
`boolean` | `hasTerminationType()`
`void` | `setCause(java.lang.String cause)` Cause of the failure of discovery
`void` | `setDiscoverRunId(long discoveryId)` Run id that uniquely identifies this run
`void` | `setDiscoveryProfile(DiscoveryProfile profile)`
`void` | `setDiscoveryProgressLog(java.lang.String prog)`
`void` | `setEndTime(long timeInMillis)` End time in millis
`void` | `setInitiator(java.lang.String user)` Name of the user who started this.
`void` | `setRunName(java.lang.String runName)` Name of this run
`void` | `setRunType(int runType)` Type of run defined in ProcessFlowMgrEnum
`void` | `setScheduled(boolean scheduled)` Is this a scheduled discovery or not
`void` | `setScopeElements(ScopeElement[] elements)`
`void` | `setStartTime(long timeInMillis)` Start time in millis
`void` | `setStatus(int status)` Discovery run status
`void` | `setTerminationType(int terminationType)` Termination type defined in ProcessFlowManager enum

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setScheduled

    void setScheduled(boolean scheduled)

  Is this a scheduled discovery or not

  Parameters:
    `scheduled` -

### getScheduled

    boolean getScheduled()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasScheduled

    boolean hasScheduled()

### setCause

    void setCause(java.lang.String cause)

  Cause of the failure of discovery

  Parameters:
    `cause` -

### getCause

    java.lang.String getCause()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCause

    boolean hasCause()

### setInitiator

    void setInitiator(java.lang.String user)

  Name of the user who started this.

  Parameters:
    `user` -

### getInitiator

    java.lang.String getInitiator()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasInitiator

    boolean hasInitiator()

### setStartTime

    void setStartTime(long timeInMillis)

  Start time in millis

  Parameters:
    `timeInMillis` -

### getStartTime

    long getStartTime()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasStartTime

    boolean hasStartTime()

### setEndTime

    void setEndTime(long timeInMillis)

  End time in millis

  Parameters:
    `timeInMillis` -

### getEndTime

    long getEndTime()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasEndTime

    boolean hasEndTime()

### setDiscoverRunId

    void setDiscoverRunId(long discoveryId)

  Run id that uniquely identifies this run

  Parameters:
    `discoveryId` -

### getDiscoverRunId

    long getDiscoverRunId()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDiscoverRunId

    boolean hasDiscoverRunId()

### setStatus

    void setStatus(int status)

  Discovery run status

  Parameters:
    `status` -

### getStatus

    int getStatus()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasStatus

    boolean hasStatus()

### setScopeElements

    void setScopeElements(ScopeElement[] elements)

### getScopeElements

    ScopeElement[] getScopeElements()
                                    throws AttributeNotSetException

  Scope used for this discovery

  Throws:
    `AttributeNotSetException`
  Table Name:
    RUN_SCOPE
  Containment Relationship:
    false

### hasScopeElements

    boolean hasScopeElements()

### setRunName

    void setRunName(java.lang.String runName)

  Name of this run

  Parameters:
    `runName` -

### getRunName

    java.lang.String getRunName()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRunName

    boolean hasRunName()

### setRunType

    void setRunType(int runType)

  Type of run defined in ProcessFlowMgrEnum

  Parameters:
    `runType` -

### getRunType

    int getRunType()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRunType

    boolean hasRunType()

### setTerminationType

    void setTerminationType(int terminationType)

  Termination type defined in ProcessFlowManager enum

  Parameters:
    `terminationType` -

### getTerminationType

    int getTerminationType()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasTerminationType

    boolean hasTerminationType()

### getDiscoveryProgressLog

    java.lang.String getDiscoveryProgressLog()
                                             throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`

### setDiscoveryProgressLog

    void setDiscoveryProgressLog(java.lang.String prog)

### hasDiscoveryProgressLog

    boolean hasDiscoveryProgressLog()

### setDiscoveryProfile

    void setDiscoveryProfile(DiscoveryProfile profile)

### getDiscoveryProfile

    DiscoveryProfile getDiscoveryProfile()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDiscoveryProfile

    boolean hasDiscoveryProfile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD